## org.irisa.genouest.logol.utils
Class FastaConverter

    java.lang.Object
      org.irisa.genouest.logol.utils.FastaConverter

Deprecated.

    @Deprecated
    public class FastaConverter

extends java.lang.Object

Constructor Summary
`FastaConverter()` Deprecated.

Method Summary
`static void` `main(java.lang.String[] args)` Deprecated.
`static void` `writeFasta(java.io.OutputStream os, org.biojava.bio.seq.SequenceIterator in, org.biojavax.Namespace ns, org.biojavax.bio.seq.io.FastaHeader header, int length)` Deprecated. Writes `Sequence`s from a `SequenceIterator` to an `OutputStream` in Fasta Format.
`static void` `writeFasta(java.io.OutputStream os, org.biojava.bio.seq.Sequence seq, org.biojavax.Namespace ns)` Deprecated. Writes a single `Sequence` to an `OutputStream` in Fasta format.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FastaConverter

    public FastaConverter()

  Deprecated.

Method Detail

### main

    public static void main(java.lang.String[] args)

  Deprecated.
  Parameters:
    `args` -

### writeFasta

    public static void writeFasta(java.io.OutputStream os,
                                  org.biojava.bio.seq.SequenceIterator in,
                                  org.biojavax.Namespace ns,
                                  org.biojavax.bio.seq.io.FastaHeader header,
                                  int length)
                           throws java.io.IOException

  Deprecated.
  Writes `Sequence`s from a `SequenceIterator` to an `OutputStream` in Fasta Format. This makes for a useful format filter where a `StreamReader` can be sent to the `RichStreamWriter` after formatting.

  Parameters:
    `os` - The stream to write fasta formatted data to
    `in` - The source of input `RichSequence`s
    `ns` - a `Namespace` to write the `RichSequence`s to. `Null` implies that it should use the namespace specified in the individual sequence.
    `length` - Size of the sequence line.
  Throws:
    `java.io.IOException` - if there is an IO problem

### writeFasta

    public static void writeFasta(java.io.OutputStream os,
                                  org.biojava.bio.seq.Sequence seq,
                                  org.biojavax.Namespace ns)
                           throws java.io.IOException

  Deprecated.
  Writes a single `Sequence` to an `OutputStream` in Fasta format.

  Parameters:
    `os` - the `OutputStream`.
    `seq` - the `Sequence`.
    `ns` - a `Namespace` to write the sequences to. Null implies that it should use the namespace specified in the individual sequence.
  Throws:
    `java.io.IOException` - if there is an IO problem